cURL
curl --request PATCH \
--url https://us.infisical.com/api/v1/cert-manager/certificate-policies/{id} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"subject": [
{
"allowed": [
"<string>"
],
"required": [
"<string>"
],
"denied": [
"<string>"
]
}
],
"sans": [
{
"allowed": [
"<string>"
],
"required": [
"<string>"
],
"denied": [
"<string>"
]
}
],
"keyUsages": {
"allowed": [],
"required": [],
"denied": []
},
"extendedKeyUsages": {
"allowed": [],
"required": [],
"denied": []
},
"algorithms": {
"signature": [
"<string>"
],
"keyAlgorithm": [
"<string>"
]
},
"validity": {
"max": "<string>"
},
"basicConstraints": {
"maxPathLength": 0
}
}
'{
"certificatePolicy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"subject": [
{
"allowed": [
"<string>"
],
"required": [
"<string>"
],
"denied": [
"<string>"
]
}
],
"sans": [
{
"allowed": [
"<string>"
],
"required": [
"<string>"
],
"denied": [
"<string>"
]
}
],
"keyUsages": {
"allowed": [],
"required": [],
"denied": []
},
"extendedKeyUsages": {
"allowed": [],
"required": [],
"denied": []
},
"algorithms": {
"signature": [
"<string>"
],
"keyAlgorithm": [
"<string>"
]
},
"validity": {
"max": "<string>"
},
"basicConstraints": {
"maxPathLength": 0
}
}
}Certificate Policies
Update
PATCH
/
api
/
v1
/
cert-manager
/
certificate-policies
/
{id}
cURL
curl --request PATCH \
--url https://us.infisical.com/api/v1/cert-manager/certificate-policies/{id} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"subject": [
{
"allowed": [
"<string>"
],
"required": [
"<string>"
],
"denied": [
"<string>"
]
}
],
"sans": [
{
"allowed": [
"<string>"
],
"required": [
"<string>"
],
"denied": [
"<string>"
]
}
],
"keyUsages": {
"allowed": [],
"required": [],
"denied": []
},
"extendedKeyUsages": {
"allowed": [],
"required": [],
"denied": []
},
"algorithms": {
"signature": [
"<string>"
],
"keyAlgorithm": [
"<string>"
]
},
"validity": {
"max": "<string>"
},
"basicConstraints": {
"maxPathLength": 0
}
}
'{
"certificatePolicy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"subject": [
{
"allowed": [
"<string>"
],
"required": [
"<string>"
],
"denied": [
"<string>"
]
}
],
"sans": [
{
"allowed": [
"<string>"
],
"required": [
"<string>"
],
"denied": [
"<string>"
]
}
],
"keyUsages": {
"allowed": [],
"required": [],
"denied": []
},
"extendedKeyUsages": {
"allowed": [],
"required": [],
"denied": []
},
"algorithms": {
"signature": [
"<string>"
],
"keyAlgorithm": [
"<string>"
]
},
"validity": {
"max": "<string>"
},
"basicConstraints": {
"maxPathLength": 0
}
}
}Documentation Index
Fetch the complete documentation index at: https://infisical-docs-self-host-infra.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Path Parameters
Body
application/json
Required string length:
1 - 255Maximum string length:
1000Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Default Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I